Dallas Semiconductor 1-Wire API 1.00 Alpha: Class OWFileDescriptor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dalsemi.onewire.utils
Class OWFileDescriptor

    java.lang.Object
      |
      +--com.dalsemi.onewire.utils.OWFileDescriptor

public class OWFileDescriptor
extends Object

Instances of the 1-Wire file descriptor class serve as an opaque handle to the underlying machine-specific structure representing an open file, an open socket, or another source or sink of bytes. The main practical use for a file descriptor is to create a `OWFileInputStream` or `OWFileOutputStream` to contain it.

Applications should not create their own file descriptors.

Version:
  0.01, 1 June 2001
See Also:
  `OWFile`, `OWFileInputStream`, `OWFileOutputStream`

Constructor Summary
`OWFileDescriptor()` Construct an invalid 1-Wire FileDescriptor

Method Summary
`void` | `sync()` Force all system buffers to synchronize with the underlying device.
`boolean` | `valid()` Tests if this file descriptor object is valid.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWFileDescriptor

    public OWFileDescriptor()

  Construct an invalid 1-Wire FileDescriptor

Method Detail

### valid

    public boolean valid()

  Tests if this file descriptor object is valid.
  Returns:
    `true` if the file descriptor object represents a valid, open file, socket, or other active I/O connection; `false` otherwise.

### sync

    public void sync()
              throws SyncFailedException

  Force all system buffers to synchronize with the underlying device. This method returns after all modified data and attributes of this FileDescriptor have been written to the relevant device(s). In particular, if this FileDescriptor refers to a physical storage medium, such as a file in a file system, sync will not return until all in-memory modified copies of buffers associated with this FileDesecriptor have been written to the physical medium. sync is meant to be used by code that requires physical storage (such as a file) to be in a known state For example, a class that provided a simple transaction facility might use sync to ensure that all changes to a file caused by a given transaction were recorded on a storage medium. sync only affects buffers downstream of this FileDescriptor. If any in-memory buffering is being done by the application (for example, by a BufferedOutputStream object), those buffers must be flushed into the OWFileDescriptor (for example, by invoking OutputStream.flush) before that data will be affected by sync.

  This method may be called multiple times if the source of SyncFailedException has been rectified (1-Wire device was reattached to the network).

  Throws:
    `SyncFailedException` - Thrown when the buffers cannot be flushed, or because the system cannot guarantee that all the buffers have been synchronized with physical media.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD